For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Reference

Interactive reference generated from the mcpd OpenAPI specification.

Health

List the health statuses for all servers

get
Responses
200

OK

application/json
$schemastring · uriRead-onlyOptional

A URL to the JSON Schema for this object.

Example: https://example.com/schemas/ServersHealthResponseBody.json
get/api/v1/health/servers
GET /api/v1/health/servers HTTP/1.1
Accept: */*
{
  "$schema": "https://example.com/schemas/ServersHealthResponseBody.json",
  "servers": [
    {
      "$schema": "https://example.com/schemas/ServerHealth.json",
      "lastChecked": "2026-01-01T00:00:00.000Z",
      "lastSuccessful": "2026-01-01T00:00:00.000Z",
      "latency": "text",
      "name": "text",
      "status": "text"
    }
  ]
}

Get the health status of a server

get
Path parameters
namestringRequired

Name of the server to check

Example: time
Responses
200

OK

application/json
$schemastring · uriRead-onlyOptional

A URL to the JSON Schema for this object.

Example: https://example.com/schemas/ServerHealth.json
lastCheckedstring · date-timeOptional
lastSuccessfulstring · date-timeOptional
latencystringOptional
namestringRequired
statusstringRequired
get/api/v1/health/servers/{name}
GET /api/v1/health/servers/{name} HTTP/1.1
Accept: */*
{
  "$schema": "https://example.com/schemas/ServerHealth.json",
  "lastChecked": "2026-01-01T00:00:00.000Z",
  "lastSuccessful": "2026-01-01T00:00:00.000Z",
  "latency": "text",
  "name": "text",
  "status": "text"
}

Prompts

List server prompt templates

get
Path parameters
namestringRequired

Name of the server

Query parameters
cursorstringOptional

Pagination cursor

Responses
200

OK

application/json
$schemastring · uriRead-onlyOptional

A URL to the JSON Schema for this object.

Example: https://example.com/schemas/Prompts.json
nextCursorstringOptional
get/api/v1/servers/{name}/prompts
GET /api/v1/servers/{name}/prompts HTTP/1.1
Accept: */*
{
  "$schema": "https://example.com/schemas/Prompts.json",
  "nextCursor": "text",
  "prompts": [
    {
      "_meta": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "arguments": [
        {
          "description": "text",
          "name": "text",
          "required": true
        }
      ],
      "description": "text",
      "name": "text"
    }
  ]
}

Generate a prompt from a server template

post

Generates a prompt by filling in a template with the provided arguments

Path parameters
namestringRequired

Name of the server

promptNamestringRequired

Name of the prompt

Body

Prompt arguments

$schemastring · uriRead-onlyOptional

A URL to the JSON Schema for this object.

Example: https://example.com/schemas/PromptGenerateArguments.json
Responses
200

OK

application/json
$schemastring · uriRead-onlyOptional

A URL to the JSON Schema for this object.

Example: https://example.com/schemas/GeneratePromptResponseBody.json
descriptionstringOptional
post/api/v1/servers/{name}/prompts/{promptName}
POST /api/v1/servers/{name}/prompts/{promptName} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "arguments": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
{
  "$schema": "https://example.com/schemas/GeneratePromptResponseBody.json",
  "description": "text",
  "messages": [
    {
      "content": null,
      "role": "text"
    }
  ]
}

Resources

List server resources

get
Path parameters
namestringRequired

Name of the server

Query parameters
cursorstringOptional

Pagination cursor

Responses
200

OK

application/json
$schemastring · uriRead-onlyOptional

A URL to the JSON Schema for this object.

Example: https://example.com/schemas/Resources.json
nextCursorstringOptional
get/api/v1/servers/{name}/resources
GET /api/v1/servers/{name}/resources HTTP/1.1
Accept: */*
{
  "$schema": "https://example.com/schemas/Resources.json",
  "nextCursor": "text",
  "resources": [
    {
      "_meta": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "description": "text",
      "mimeType": "text",
      "name": "text",
      "uri": "text"
    }
  ]
}

Get resource content from a server

get

Retrieves the content of a resource by URI

Path parameters
namestringRequired

Name of the server

Query parameters
uristringOptional

URI of the resource

Responses
200

OK

application/json
blobstringOptional
mimeTypestringOptional
textstringOptional
uristringRequired
get/api/v1/servers/{name}/resources/content
GET /api/v1/servers/{name}/resources/content HTTP/1.1
Accept: */*
[
  {
    "_meta": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "blob": "text",
    "mimeType": "text",
    "text": "text",
    "uri": "text"
  }
]

List server resource templates

get
Path parameters
namestringRequired

Name of the server

Query parameters
cursorstringOptional

Pagination cursor

Responses
200

OK

application/json
$schemastring · uriRead-onlyOptional

A URL to the JSON Schema for this object.

Example: https://example.com/schemas/ResourceTemplates.json
nextCursorstringOptional
get/api/v1/servers/{name}/resources/templates
GET /api/v1/servers/{name}/resources/templates HTTP/1.1
Accept: */*
{
  "$schema": "https://example.com/schemas/ResourceTemplates.json",
  "nextCursor": "text",
  "templates": [
    {
      "_meta": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "description": "text",
      "mimeType": "text",
      "name": "text",
      "uriTemplate": "text"
    }
  ]
}

Servers

List all servers

get
Responses
200

OK

application/json
string[] · nullableOptional
get/api/v1/servers
GET /api/v1/servers HTTP/1.1
Accept: */*
[
  "text"
]

Tools

List server tools

get

Returns tools with configurable detail level via ?detail= query parameter (minimal, summary, full)

Path parameters
namestringRequired

Name of the server to lookup tools for

Example: time
Query parameters
detailstring · enumOptional

Level of detail to return

Default: fullPossible values:
Responses
200

OK

application/json
$schemastring · uriRead-onlyOptional

A URL to the JSON Schema for this object.

Example: https://example.com/schemas/ToolsResponseBodyTool.json
get/api/v1/servers/{name}/tools
GET /api/v1/servers/{name}/tools HTTP/1.1
Accept: */*
{
  "$schema": "https://example.com/schemas/ToolsResponseBodyTool.json",
  "tools": [
    {
      "_meta": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "annotations": {
        "destructiveHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "readOnlyHint": true,
        "title": "text"
      },
      "description": "text",
      "inputSchema": {
        "$defs": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "additionalProperties": null,
        "properties": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "required": [
          "text"
        ],
        "type": "text"
      },
      "name": "text",
      "outputSchema": {
        "$defs": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "additionalProperties": null,
        "properties": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "required": [
          "text"
        ],
        "type": "text"
      },
      "title": "text"
    }
  ]
}

Call a tool for a server

post
Path parameters
serverstringRequired

Name of the server

Example: time
toolstringRequired

Name of the tool to call

Example: get_current_time
Body

Body of the tool to call

Other propertiesanyOptional
Responses
200

OK

application/json
stringOptional
post/api/v1/servers/{server}/tools/{tool}
POST /api/v1/servers/{server}/tools/{tool} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
text

Last updated